       SUBROUTINE input(z,M7Plus,SG7Plus,NumSep,Pres,Tres,PSep,TSep,
     1    Psc,Tsc)

c***********************************************************************
c      This subroutine acquires the input data for the subroutine oilsep
c         in the program COPES.  For information on variables see the
c         subroutine oilsep.

c      Author: Scott K. Laudeman
c      Date: June 20, 1987

c***********************************************************************

c***********************************************************************
c      Declarations
c***********************************************************************

       REAL M7Plus,PSep(10),TSep(10),z(12)
       INTEGER FileUnit,TermUnit
       COMMON FileUnit,TermUnit

c***********************************************************************
c      Main Program
c***********************************************************************

       WRITE (TermUnit,*) 'Input mole fraction carbon dioxide:'
       READ  (TermUnit,*) z(1)
       WRITE (TermUnit,*) 'Input mole fraction hydrogen sulfide:'
       READ  (TermUnit,*) z(2)
       WRITE (TermUnit,*) 'Input mole fraction nitrogen:'
       READ  (TermUnit,*) z(3)
       WRITE (TermUnit,*) 'Input mole fraction methane:'
       READ  (TermUnit,*) z(4)
       WRITE (TermUnit,*) 'Input mole fraction ethane:'
       READ  (TermUnit,*) z(5)
       WRITE (TermUnit,*) 'Input mole fraction propane:'
       READ  (TermUnit,*) z(6)
       WRITE (TermUnit,*) 'Input mole fraction isobutane:'
       READ  (TermUnit,*) z(7)
       WRITE (TermUnit,*) 'Input mole fraction n-butane:'
       READ  (TermUnit,*) z(8)
       WRITE (TermUnit,*) 'Input mole fraction isopentane:'
       READ  (TermUnit,*) z(9)
       WRITE (TermUnit,*) 'Input mole fraction n-pentane:'
       READ  (TermUnit,*) z(10)
       WRITE (TermUnit,*) 'Input mole fraction hexanes:'
       READ  (TermUnit,*) z(11)
       WRITE (TermUnit,*) 'Input mole fraction heptanes plus:'
       READ  (TermUnit,*) z(12)
       WRITE (TermUnit,*) 'Input specific gravity heptanes plus:'
       READ  (TermUnit,*) SG7Plus
       WRITE (TermUnit,*) 'Input molecular weight heptanes plus (lbs
     1/(lb*mole)):'
       READ  (TermUnit,*) M7Plus
       WRITE (TermUnit,*) 'Input number of separators (limit 10):'
       READ  (TermUnit,*) NumSep
       DO 10 i=1,NumSep
          WRITE (TermUnit,*) 'Input stage',i,' separator pressure
     1 (psia):'
          READ  (TermUnit,*) PSep(i)
          WRITE (TermUnit,*)  'Input stage',i,' separator temperature
     1 (deg. F.):'
          READ  (TermUnit,*) TSep(i)
10     CONTINUE
       WRITE (TermUnit,*) 'Input reservoir pressure (psia):'
       READ  (TermUnit,*) Pres
       WRITE (TermUnit,*) 'Input reservoir temperature (deg. F.):'
       READ  (TermUnit,*) Tres
       WRITE (TermUnit,*) 'Input standard pressure: (psia)'
       READ  (TermUnit,*) Psc
       WRITE (TermUnit,*) 'Input standard temperature (deg. F.):'
       READ  (TermUnit,*) Tsc

       RETURN

       END
